Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234307 - Review Request: tuxpuck - Airhockey with a twist
Summary: Review Request: tuxpuck - Airhockey with a twist
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-28 12:31 UTC by Hans de Goede
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-05 19:06:43 UTC
gauret: fedora-review+
jwboyer: fedora-cvs-


Attachments (Terms of Use)

Description Hans de Goede 2007-03-28 12:31:38 UTC
Spec URL: http://people.atrpms.net/~hdegoede/tuxpuck.spec
SRPM URL: http://people.atrpms.net/~hdegoede/tuxpuck-0.8.2-1.fc7.src.rpm
Description:
Game where you can play airhockey against Tux or against Arcana who uses magic
to control the puck.

Comment 1 Aurelien Bompard 2007-03-28 16:06:27 UTC
Needs work:
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: Packaging/Guidelines#parallelmake)
* Desktop file: the Categories tag should not contain X-Fedora any more
  (wiki: Packaging/Guidelines#desktop)
* The pacakge should BuildRequire ImageMagick, and not Require it
* The desktop-file spec requires at least a 48x48 icon, please generate one of
this size too

Comment 2 Hans de Goede 2007-03-29 04:55:48 UTC
(In reply to comment #1)
> Needs work:
> * Missing SMP flags. If it doesn't build with it, please add a comment
>   (wiki: Packaging/Guidelines#parallelmake)

I deliberately removed them comment added

> * Desktop file: the Categories tag should not contain X-Fedora any more
>   (wiki: Packaging/Guidelines#desktop)
Copy/paste error, removed.

> * The pacakge should BuildRequire ImageMagick, and not Require it
Oops, fixed

> * The desktop-file spec requires at least a 48x48 icon, please generate one of
> this size too

I've re-read the freedesktop.org standard on this, and it says: "you should
install a 48x48 icon in the hicolor theme". Notice the _should_, also the
specified lookup algorithm will select the closest icon of a different size and
scale that in software, I see no use in installing a prescaled icon, this won't
be of any better quality then one scaled on the fly.

New version with the above items fixed here:
Spec URL: http://people.atrpms.net/~hdegoede/tuxpuck.spec
SRPM URL: http://people.atrpms.net/~hdegoede/tuxpuck-0.8.2-2.fc7.src.rpm


Comment 3 Aurelien Bompard 2007-03-29 06:11:13 UTC
Review for release 2.fc6:
* RPM name is OK
* Source tuxpuck-0.8.2.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine
(34 checks have been run)

APPROVED

Comment 4 Hans de Goede 2007-03-29 06:25:20 UTC
New Package CVS Request
=======================
Package Name:      tuxpuck
Short Description: Airhockey with a twist
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel
InitialCC:         <empty>


Comment 5 Josh Boyer 2007-03-30 01:26:20 UTC
tuxpuck is already in Extras

Comment 6 Hans de Goede 2007-03-30 05:48:41 UTC
I cannot believe I've missed that, I'm somewhat sure I checked for this. Ah
well. Sorry for the wastet time Aurelien. I'll atleast look over the version
already in Extras and see if any improvements can be skooped from my version.


Comment 7 Hans de Goede 2007-03-30 06:18:48 UTC
FYI I've filed a bug with some enhancements to tuxpuck its bug 234566


Comment 8 Gwyn Ciesla 2007-03-30 12:32:50 UTC
Closed 234566, applied changes to existing tuxpuck.


Note You need to log in before you can comment on or make changes to this bug.